<!-- 
===============================================
vidgear library source-code is deployed under the Apache 2.0 License:

Copyright (c) 2019 Abhishek Thakur(@abhiTronix) <abhi.una12@gmail.com>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
===============================================

-->
{% extends "base.html" %}
{% block content %}
<h1 class="" style="text-align: center;">Vehicle Video Feed</h1>
<img 
   src="/video"
   id="imgcontainer"
   onclick="toggleFullScreen('imgcontainer')"
   class="img-fluid mx-auto d-block rounded"
   alt="Responsive Feed"
   title="click once to toggle fullscreen"
>


<button
   class="btn mx-auto d-block rounded"
   onclick="switchSelfDrivingMode()"
   style="
   margin: 10px;
   border: none;
   color: blue;
   padding: 15px 32px;
   text-align: center;
   text-decoration: none;
   display: inline-block;
   font-size: 16px;
   "
>
   Fahrmodus Wechseln
</button>
<button
   class="btn mx-auto d-block rounded"
   onclick="deactivateEmergencyStop()"
   style="
   margin: 10px;
   border: none;
   color: blue;
   padding: 15px 32px;
   text-align: center;
   text-decoration: none;
   display: inline-block;
   font-size: 16px;
   "
>
   Notstopp Deaktivieren
</button>

<h1 class="" style="text-align: center;color:white;">Vehicle Data</h1>
<div id="statsPane" class="mx-auto" style="text-align:center;color:white;"></div>
{% endblock %}
